<?php
class ControllerExtensionModuleAffClassicMailAffiliateTransaction extends Controller {
	public function index(&$route, &$args, &$output) {
		if(!$this->config->get('module_aff_classic_commission_table') || !$this->config->get('module_aff_classic_status') || $this->config->get('_no_affiliate_transaction_mail')) return;		
		
		$this->load->language('mail/affiliate_transaction');

		$this->load->model('account/customer');
		$this->load->model('extension/aff_classic');
		
		$customer_info = $this->model_account_customer->getCustomer($args[0]);

		if ($customer_info) {
			$data['text_received'] = sprintf($this->language->get('text_received'), $this->config->get('config_name'));
			$data['text_amount'] = $this->language->get('text_amount');
			$data['text_total'] = $this->language->get('text_total');
			
			$data['amount'] = $this->currency->format($args[2], $this->config->get('config_currency'));
			$data['total'] = $this->currency->format($this->model_extension_aff_classic->getTransactionTotal($args[0]), $this->config->get('config_currency'));
	
			$mail = new Mail($this->config->get('config_mail_engine'));
			$mail->parameter = $this->config->get('config_mail_parameter');
			$mail->smtp_hostname = $this->config->get('config_mail_smtp_hostname');
			$mail->smtp_username = $this->config->get('config_mail_smtp_username');
			$mail->smtp_password = html_entity_decode($this->config->get('config_mail_smtp_password'), ENT_QUOTES, 'UTF-8');
			$mail->smtp_port = $this->config->get('config_mail_smtp_port');
			$mail->smtp_timeout = $this->config->get('config_mail_smtp_timeout');
	
			$mail->setTo($customer_info['email']);
			$mail->setFrom($this->config->get('config_email'));
			$mail->setSender(html_entity_decode($this->config->get('config_name'), ENT_QUOTES, 'UTF-8'));
			$mail->setSubject(html_entity_decode(sprintf($this->language->get('text_subject'), $this->config->get('config_name')), ENT_QUOTES, 'UTF-8'));
			$mail->setText($this->load->view('extension/module/aff_classic/mail_affiliate_transaction', $data));
			$mail->send();
		}
	}
}



